package fr.iutlan.avosavis;

import java.util.Date;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Locale;


/**
 * Cette classe représente un avis (opinion sur quelque chose)
 */
public class Avis
{
    public static final DateFormat DATE_FORMAT = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss", Locale.FRANCE);

    private String libelle;
    private float note;
    private String auteur;
    private Date date;


    /** crée un avis vide */
    public Avis()
    {
        this.libelle = "";
        this.note = 0.0f;
        this.auteur = "";
        this.date = new Date();
    }

    /** crée un avis initialisé avec les paramètres fournis */
    public Avis(String libelle, float note, String auteur, Date date)
    {
        this.libelle = libelle;
        this.note = note;
        this.auteur = auteur;
        this.date = date;
    }


    /** retourne le libellé de l'avis */
    public String toString()
    {
        return libelle;
    }


    /** retourne le libellé de l'avis */
    public String getLibelle()
    {
        return libelle;
    }

    /** affecte le libellé de l'avis */
    public void setLibelle(String libelle)
    {
        this.libelle = libelle;
    }


    /** retourne la note de l'avis */
    public float getNote()
    {
        return note;
    }

    /** affecte la note de l'avis */
    public void setNote(float note)
    {
        this.note = note;
    }


    /** retourne la date de l'avis */
    public Date getDate()
    {
        return date;
    }

    /** retourne la date mise en forme */
    public String getDateString()
    {
        return DATE_FORMAT.format(date);
    }

    /** affecte la date de l'avis */
    public void setDate(Date date)
    {
        this.date = date;
    }
}
