package fr.iutlan.avosavis;

import android.support.annotation.NonNull;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.RatingBar;
import android.widget.TextView;


/**
 * Cette classe permet d'afficher un item dans la liste. Voir res/layout/item_planete.xml
 * Elle hérite de RelativeLayout mais ça peut être changé en LinearLayout.
 */
public class AvisView extends RecyclerView.ViewHolder
{
    /**
     * expanse le layout R.layout.item_avis dans le parent
     */
    public static AvisView createView(@NonNull ViewGroup parent)
    {
        return new AvisView(LayoutInflater.from(parent.getContext()).inflate(R.layout.item_avis, parent, false));
    }


    //// variables et méthodes d'instances ////

    // vues du layout item_avis.xml
    private TextView tvLibelle;
    private RatingBar rbNote;
    // TODO il manque la date


    /**
     * constructeur, conforme à la superclasse
     */
    public AvisView(View group)
    {
        super(group);

        // récupérer les objets java correspondant aux vues du layout
        findViews(group);
    }


    /**
     * cherche les objets Java correspondant aux vues du layout
     * @param group vue parente, contenant toutes les vues du layout
     */
    public void findViews(View group)
    {
        // FIXME en SDK 27, il n'est pas nécessaire de mettre ces cast (TextView) et (RatingBar), donc les enlever
        tvLibelle = (TextView) group.findViewById(R.id.item_avis_libelle);
        rbNote    = (RatingBar) group.findViewById(R.id.item_avis_note);
        // TODO il manque la date
    }


    /**
     * Affiche l'item dans les vues de this
     * @param avis : item dont il faut mettre les valeurs dans les vues
     */
    public void setItem(final Avis avis)
    {
        tvLibelle.setText(avis.getLibelle());
        rbNote.setRating(avis.getNote());
        // TODO il manque la date
    }
}
