package fr.iutlan.avosavis;

import java.util.ArrayList;
import java.util.Calendar;
import java.util.Collections;
import java.util.Comparator;

import android.app.Application;

public class AvosAvisApplication extends Application
{
    /**
     * contient la liste des items gérés par l'application
     * @remark surtout ne pas réaffecter cette variable, car l'adaptateur n'aurait plus la bonne référence
     */
    private ArrayList<Avis> liste;

    public AvosAvisApplication()
    {
        // première et dernière affectation de la variable
        liste = new ArrayList<Avis>();
    }

    @Override
    public void onCreate()
    {
        super.onCreate();
        init();
    }

    public void init()
    {
        liste.clear();

        // valeurs initiales
        Calendar cal = Calendar.getInstance();
        liste.add(new Avis("test1", 2.5f, "moi", cal.getTime()));

        // TODO rajoutez quelques valeurs initiales

        // classer les éléments par date croissante
        sortListe();
    }


    /**
     * retourne la liste de l'application
     * @return
     */
    public ArrayList<Avis> getListe()
    {
        return liste;
    }

    /**
     * classe la liste par ordre décroissant des notes
     * à changer éventuellement pour la date ou le libellé, ou ne pas classer...
     */
    public void sortListe()
    {
        Collections.sort(liste, new Comparator<Avis>() {
            @Override
            public int compare(Avis avis1, Avis avis2)
            {
                Float n1 = avis1.getNote();
                Float n2 = avis2.getNote();
                return n2.compareTo(n1);
            }
        });
    }
}
